declare const CustomToggleSwitch: ({ leftLabel, rightLabel, defaultChecked, onChange, disabled, sx, ...props }: {
    [x: string]: any;
    leftLabel?: string;
    rightLabel?: string;
    defaultChecked?: boolean;
    onChange: any;
    disabled?: boolean;
    sx?: {};
}) => import("react/jsx-runtime").JSX.Element;
export { CustomToggleSwitch };
export default CustomToggleSwitch;
